LC_CHANNEL_FILTER_SET(3)

NAME
lc_channel_filter_set - set filter for channel

LIBRARY
Librecast library (liblibrecast, -llibrecast)

SYNOPSIS
#include <librecast/key.h>

void lc_channel_filter_set(lc_channel_t *chan, lc_filter_t *filter);

Compile and link with -llibrecast.

DESCRIPTION
lc_channel_filter_set() applies filter to the channel chan for receiving.

Packets which do not match this filter will be dropped silently, and calls to recv functions like lc_channel_recv(3) will not return until a packet is received which passes the filter.

RETURN VALUE
None.

ERRORS
None.

SEE ALSO
lc_keyring_add(3), lc_keyring_del(3), lc_keyring_init(3), lc_keyring_free(3), lc_channel_token_set(3), lc_channel_new(3)